/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BOS_table.sql **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PERM_DATARULES' AND KSQL_COL_NAME ='FDATARULEID') 
 ALTER TABLE T_PERM_DATARULES ADD (FDATARULEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PERM_DATARULE' AND KSQL_COL_NAME ='FAPPLYSCOPE') 
 ALTER TABLE T_PERM_DATARULE ADD (FAPPLYSCOPE CHAR(1) DEFAULT '1' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PERM_DATARULE' AND KSQL_COL_NAME ='FCLOUDID') 
 ALTER TABLE T_PERM_DATARULE ADD (FCLOUDID VARCHAR(36) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PERM_OVERALLPROPREL') 
 CREATE TABLE T_PERM_OVERALLPROPREL (
FID BIGINT DEFAULT 0 NOT NULL,
FAPPID VARCHAR(36) DEFAULT ' ' NOT NULL,
FENTITYNUM VARCHAR(36) DEFAULT ' ' NOT NULL,
FPROPKEY VARCHAR(36) DEFAULT ' ' NOT NULL,
FOVERALLPROP BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PERM_OVERALLPROP') 
 CREATE TABLE T_PERM_OVERALLPROP (
FID BIGINT DEFAULT 0 NOT NULL,
FENTITYNUM VARCHAR(36) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BOS_table.sql **/
